#ifndef STRETCHPANEL_H
#define STRETCHPANEL_H

#include <QWidget>
#include "stfslider.h"

class Image;

class StretchPanel : public QWidget
{
    Q_OBJECT
    STFSlider *m_stfSlider;
public:
    explicit StretchPanel(QWidget *parent = nullptr);
public slots:
    void stretchImage(Image *img);
    void resetMTF();
signals:
    void paramChanged(float low, float mid, float high);
    void autoStretch();
    void invert(bool enable);
    void superPixel(bool enable);
};

#endif // STRETCHPANEL_H
